complexType "SubstitutionStatus"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 15 elements
Defined: | globally in fpml-collateral-processes-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "4"
| >
Content: | header?, validation*, parentCorrelationId?, correlationId?, sequenceNumber??, onBehalfOf[0..4]?, substitutionIssuerPartyReference?, substitutionReceiverPartyReference?, creditSupportAgreement?, ((variationMargin, segregatedIndependentAmount?) | segregatedIndependentAmount), assets?, party*, account*
</...>

Content Model Elements (15):

  account,
  assets (in substitutionStatus),
  correlationId,
  creditSupportAgreement (in substitutionStatus),
  header (defined in ResponseMessage complexType),
  onBehalfOf (defined in OnBehalfOf.model group),
  parentCorrelationId,
  party (defined in PartiesAndAccounts.model group),
  segregatedIndependentAmount (in substitutionStatus),
  segregatedIndependentAmount (in substitutionStatus),
  sequenceNumber (defined in Sequence.model group),
  substitutionIssuerPartyReference (in substitutionStatus),
  substitutionReceiverPartyReference (in substitutionStatus),
  validation,
  variationMargin (in substitutionStatus)

All Direct / Indirect Based Elements (1):

  substitutionStatus

Known Usage Locations

- As direct type of elements (1):
  substitutionStatus

Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) ResponseMessage (extension) SubstitutionStatus

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="SubstitutionStatus"> <xsd:complexContent> <xsd:extension base="ResponseMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="substitutionIssuerPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="substitutionReceiverPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="creditSupportAgreement" type="CreditSupportAgreement"/> <xsd:group ref="SubstitutionResponse.model"/> <xsd:element minOccurs="0" name="assets" type="Assets"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/15)
assets

  Type: | Assets, complex content

  The list of assets being moved.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="assets" type="Assets"/>

creditSupportAgreement

  Type: | CreditSupportAgreement, complex content

  The agreement executed between the parties and intended to govern collateral arrangement for all OTC derivatives transactions between those parties.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="creditSupportAgreement" type="CreditSupportAgreement"/>

substitutionIssuerPartyReference

  Type: | PartyReference, empty content

  The party issuing the substitution request.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="substitutionIssuerPartyReference" type="PartyReference"/>

substitutionReceiverPartyReference

  Type: | PartyReference, empty content

  The party receiving the substitution request.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="substitutionReceiverPartyReference" type="PartyReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.